pydo.apps.get_logs_active_deployment()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.apps.get_logs_active_deployment(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
component_name="component",
follow=None,
type="BUILD",
pod_connection_timeout=None,
)Description
Retrieve the logs of the active deployment if one exists. The response will include links to either real-time logs of an in-progress or active deployment or archived logs of a past deployment. Note log_type=BUILD logs will return logs associated with the current active deployment (being served). To view build logs associated with in-progress build, the query must explicitly reference the deployment id.
Parameters
app_idstring requiredThe app ID
component_namestring requiredAn optional component name. If set, logs will be limited to this component only.
followboolean optionalWhether the logs should follow live updates.
typestring requiredThe type of logs to retrieve
- BUILD: Build-time logs
- DEPLOY: Deploy-time logs
- RUN: Live run-time logs
- RUN_RESTARTED: Logs of crashed/restarted instances during runtime
- AUTOSCALE_EVENT: Logs of an autoscaling event (requires event_id)pod_connection_timeoutstring optionalAn optional time duration to wait if the underlying component instance is not immediately available. Default:
3m.
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/components/{component_name}/logs in the API reference for additional detail on responses, headers, parameters, and more.